var comp = 
{
	props:
	{
		value:
		{
			type:[Object,Array],
			required:true,
		},
		heading:
		{
			type:[String],
			required:false,
			default:"change this heading"
		}
	},
	data()
	{ 
		return{
			list_show:false,
			text_value:"",
			selected:{},
			data:{}
		};
	},
	watch:
	{
		value(row)
		{
			this.text_value = row.name || "";
		},
		selected(row)
		{
			this.$emit("input",row);
			this.text_value = row.name || "";
		}
	},
	created()
	{
		this.selected = this.value;
	},
	methods:
	{
		selectRow(row)
		{
			this.selected = row;
			this.close() ;
		},
		close() 
		{
			this.list_show = false;			
		},
		showList()
		{
			this.list_show = true;
		},	
	}
};