Comp = function(){}

Comp.initMain = function(comp,input_data)
{
    this.vue = new Vue
	({
		el:"#main",
		data:
		{
			comp:"",
			compProps:null,
		},
		
		created()
		{
			Comp.Load(this,comp,input_data);
		},
		methods:
		{
			vFire(comp,event_name,data)
			{	
				var parms = {};
				parms.data = data;
				parms.path = this.getCompPath(comp);

				this.$emit(event_name,parms);
			}
			,
			vHook(comp,event_name,call,fire_path)
			{	
				if(!this.hooks) this.hooks = {};
				
				var hook = {}
				hook.event_name = event_name;
				hook.call = call;
				hook.path = fire_path;
				this.hooks[this.getCompPath(comp)] = hook;
				
				var event = this._events[event_name];
				if(!event)
				{
					this.$on(event_name,e=>
					{
						for(var path in this.hooks)
						{
							var hook = this.hooks[path];
							if(hook.event_name == event_name)
							{
								var canHook = true;
								if(hook.path && e.path != hook.path)canHook = false;
								if(canHook && hook.call && typeof hook.call == "function") hook.call(e);
							}
						}
					});
				}
			},
			isEmpty(val)
			{
				return isEmpty(val);
			},
			debug(val)
			{
				console.log("debug",val);
				return "test!";
			},
			getCompPath(comp)
			{
				var path = comp.$vnode.tag;
				 return path.substring(16, path.length);
			}
		}
	});
}

Comp.vFire = function(comp,event_name,data)
{
	this.vue.vFire(comp,event_name,data);
}

Comp.vHook = function(comp,event_name,call,fire_path)
{	
	this.vue.vHook(comp,event_name,call,fire_path);
}

Comp.setPath = function(path)
{
    this.path = path;
}

Comp.Load = function(comp,comp_path,comp_data)
{
	if(!comp) console.info("No Comp");
	if(comp_path.substr(0,1)=="/") comp_path = "net"+comp_path.replace(/\//g,"-");
	comp.comp = comp_path;
	if(!comp_data) comp_data = {};
	comp.compProps = comp_data;
}
